VMSTAT(8)

BEZEICHNUNG
vmstat - Statistiken zum virtuellen Speicher ermitteln

ÜBERSICHT
vmstat [Optionen] [Verzögerung [Anzahl]]

BESCHREIBUNG
vmstat zeigt Informationen zu Prozessen, Speicher, Paging, Block-E/A, Traps, Laufwerken und CPU-Aktivität an.

Die erste erzeugte Meldung zeigt Durchschnittswerte seit dem letzten Neustart des Systems an. Weitere erzeugte Meldungen beziehen diese Informationen auf einen Zeitintervall, der in Verzögerung definiert ist. Die Meldungen zu Prozessen und Speicher werden unverzüglich ausgegeben.

OPTIONEN

Verzögerung
    gibt die Verzögerung in Sekunden an. Falls keine Verzögerung angegeben ist, wird nur ein Bericht ausgegeben, der die Durchschnittswerte seit dem Systemstart enthält.

Anzahl
    gibt die Anzahl der Aktualisierungen an. Wenn die Anzahl nicht angegeben, aber eine Verzögerung definiert ist, dann ist die Anzahl der Aktualisierungen unendlich.

-a, --active
    zeigt aktiven und inaktiven Speicher an. Dafür ist ein Kernel 2.5.41 oder neuer erforderlich.

-f, --forks
    Der Schalter -f zeigt die Anzahl der Forks seit dem Systemstart an. Dies bezieht die Systemaufrufe »fork«, »vfork« und »clone« und entspricht der Gesamtzahl der erzeugten Tasks. Jeder Prozess wird durch ein oder mehrere Tasks repräsentiert, abhängig von der Thread-Nutzung. Diese Anzeige wird nicht wiederholt.

-m, --slabs
    zeigt Slab-Info an.

-n, --one-header
    zeigt den Header nur einmalig anstatt periodisch an.

-s, --stats
    zeigt eine Tabelle der verschiedenen Ereigniszähler und Speicherstatistiken an. Diese Anzeige wird nicht wiederholt.

-d, --disk
    zeigt Plattenstatistiken an (Kernel 2.5.70 oder neuer erforderlich).

-D, --disk-sum
    zeigt eine statistische Zusammenfassung der Plattenaktivitäten an.

-p, --partition Gerät
    zeigt detaillierte Statistiken zu Partitionen an (Kernel 2.5.70 oder neuer erforderlich).

-S, --unit Zeichen
    wechselt die Einheit der Ausgabe zwischen 1000 (k), 1024 (K), 1000000 (m) oder 1048576 (M) Bytes. Beachten Sie, dass diese Änderung der Swap-Felder (si/so) oder Block-Felder (bi/bo) nicht beeinflusst.

-t, --timestamp
    hängt an jede Zeile einen Zeitstempel an.

-w, --wide
    Breiter Ausgabemodus. Dieser ist sinnvoll, wenn der vorgegebene Ausgabemodus unerwünschte Umbrüche in den Spalten enthält, benötigt aber mehr Speicher. Die Ausgabe ist breiter als 80 Zeichen pro Zeile.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt eine Hilfe an und beendet das Programm.

FELDBESCHREIBUNG FÜR VM-MODUS

  Prozesse
r: The number of runnable processes (running or waiting for run time).
b: The number of processes in uninterruptible sleep.

  Speicher
swpd: the amount of virtual memory used.
free: the amount of idle memory.
buff: the amount of memory used as buffers.
cache: the amount of memory used as cache.
inact: the amount of inactive memory.  (-a option)
active: the amount of active memory.  (-a option)

  Swap
si: Speichermenge aus dem Auslagerungsspeicher geholt (/s).
so: Speichermenge in den Auslagerungsspeicher geschrieben (/s).

  IO
bi: von einem Blockgerät empfangene Blöcke (Blöcke/s).
bo: an ein Blockgerät gesendete Blöcke (Blöcke/s).

  System
in: Anzahl der Interrupts pro Sekunde, einschließlich der Uhr.
cs: Anzahl der Kontext-Switches pro Sekunde.

  CPU
Dies sind Prozentsätze der gesamten CPU-Zeit.
us: Time spent running non-kernel code.  (user time, including nice time)
sy: Time spent running kernel code.  (system time)
id: Time spent idle.  Prior to Linux 2.5.41, this includes IO-wait time.
wa: Time spent waiting for IO.  Prior to Linux 2.5.41, included in idle.
st: Time stolen from a virtual machine.  Prior to Linux 2.6.11, unknown.

FELDBESCHREIBUNG FÜR DISK-MODUS

  Lesevorgänge
total: Gesamtzahl erfolgreich abgeschlossener Lesevorgänge
merged: gruppierte Lesevorgänge (resultierend in einem E/A-Vorgang)
sectors: Erfolgreich gelesene Sektoren
ms: Zeit für Lesevorgänge in Millisekunden

  Schreibvorgänge
total: Total writes completed successfully
merged: grouped writes (resulting in one I/O)
sectors: Sectors written successfully
ms: milliseconds spent writing

  IO
cur: E/A in Verarbeitung
s: für E/A verbrauchte Sekunden

FELDBESCHREIBUNG FÜR PARTITIONSMODUS
reads: Gesamtzahl der Lesevorgänge auf dieser Partition
read sectors: Insgesamt gelesene Sektoren auf dieser Partition
writes : Gesamtzahl der Schreibvorgänge auf dieser Partition
requested writes: Gesamtzahl der für diese Partition
                  angeforderten Schreibvorgänge

FELDBESCHREIBUNG FÜR SLAB-MODUS
cache: Cache-Name
num: Anzahl der gegenwärtig aktiven Objekte
total: Gesamtzahl der verfügbaren Objekte
size: Größe jedes Objekts
pages: Anzahl der Seiten mit mindestens einem aktiven Objekt

ANMERKUNGEN
vmstat erfordert keine besonderen Zugriffsrechte.

Diese Meldungen haben den Zweck, Engstellen (»Flaschenhälse«) im System zu erkennen. Die Linux-Version von vmstat rechnet sich dabei selbst nicht zu den laufenden Prozessen.

Alle Linux-Blöcke sind gegenwärtig 1024 Byte groß. Ältere Kernel könnten Blockgrößen als 512 Byte, 2048 Byte oder 4096 Byte erkennen.

Seit procps 3.1.9, können Sie in vmstat Einheiten wählen (k, K, m, M). Die Voreinstellung ist K (1024 Bytes) im Standardmodus.

vmstat verwendet slabinfo 1.1

DATEIEN
/proc/meminfo
/proc/stat
/proc/*/stat

SIEHE AUCH
free(1), iostat(1), mpstat(1), ps(1), sar(1), top(1)

FEHLER
Does not tabulate the block io per device or count the number of system calls.

AUTOREN
Geschrieben von Henry Ware (al172@yfn.ysu.edu).
Fabian Frédérick (ffrederick@users.sourceforge.net) (diskstat, slab, Partitionen …)

FEHLER BERICHTEN
Bitte senden Sie Fehlerberichte an procps@freelists.org